Ubuntu

Pulseaudio is not running VT1708

Reported by Harald on 2010-05-14
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Daniel T Chen
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

In my system are 3 Audio interfaces VIA: VT1708, TerraTec Electronic GmbH: Aureon 5.1 MkII and Logitech, Inc. QuickCam Communicate STX (only mic input)

It is not possible to play sound with the VIA: VT1708

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC2: ubuntu 3061 F.... pulseaudio
 /dev/snd/pcmC2D0p: ubuntu 3061 F...m pulseaudio
 /dev/snd/controlC0: ubuntu 3061 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 3061 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'U0x46d0x8d7'/'USB Device 0x46d:0x8d7 at usb-0000:00:10.2-1, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB046d:08d7'
   Controls : 3
   Simple ctrls : 2
Card1.Amixer.info:
 Card hw:1 'Aureon51MkII'/'TerraTec Aureon5.1MkII at usb-0000:00:10.0-1, full speed'
   Mixer name : 'USB Mixer'
   Components : 'USB0ccd:0028'
   Controls : 13
   Simple ctrls : 5
Card2.Amixer.info:
 Card hw:2 'VT82xx'/'HDA VIA VT82xx at 0xff5fc000 irq 17'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,18491e01,00100001'
   Controls : 33
   Simple ctrls : 18
Date: Fri May 14 22:31:58 2010
LiveMediaBuild: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: pulseaudio
Symptom: audio
Title: Pulseaudio is not running
dmi.bios.date: 12/11/2006
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P2.40
dmi.board.name: 775Dual-VSTA
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP2.40:bd12/11/2006:svnToBeFilledByO.E.M.:pn775Dual-VSTA:pvrToBeFilledByO.E.M.:rvn:rn775Dual-VSTA:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: 775Dual-VSTA
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

Harald (hdmuell) wrote :
Daniel T Chen (crimsun) wrote :

What errors does pulse give you when you attempt to use the VT1708? Have you tried using linux-alsa-driver-modules-$(uname -r) from ppa:ubuntu-audio-dev?

Changed in pulseaudio (Ubuntu):
status: New → Incomplete
madbiologist (me-again) wrote :

I should probably leave this to Daniel, who seems to be an expert in this area, but I wanted to help so....

From your Card2.Amixer.values.txt file:

Simple mixer control 'Line',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]

and

Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume penum
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%]
  Front Right: 0 [0%]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'IEC958 Default PCM',0
  Capabilities: pswitch pswitch-joined penum
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Beep',0
  Capabilities: pvolume pswitch penum
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 31 [100%] [30.00dB] [on]
  Front Right: Capture 31 [100%] [30.00dB] [on]
Simple mixer control 'Capture',1
  Capabilities: cvolume cswitch penum
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 31
  Front Left: Capture 0 [0%] [-16.50dB] [on]
  Front Right: Capture 0 [0%] [-16.50dB] [on]

What happens if you use alsamixer to adjust the values of the controls that are currently set to 0 [0%] ?

Harald (hdmuell) wrote :

sorry, I forgot to mention, that the system worked with Karmic and Jaunty, the sound card. So I would assume that the standard SW with lucid should work too.

As there are several other bugs with Lucid I guess something with the hardware detection is wrong for my system. Especially the Bug 579028 is hardware related as well.

By the way starting with the Lucid live CD doesn't change the problems

I'll try fiddling around with the drivers you mentioned above.

Harald (hdmuell) wrote :

problem solved by de-installing alsa and pulseaudio and then reinstalling pulseaudio and after that alsa (basically when ever I noticed that something was missing) (it was a longer fiddling around with the drivers, trying unplugging the two USB HW devices)

@ madbiologist thank you for the hint. But I couldn't change any levels because the HW just disapeared from the mixer, like it didn't exist. Also I could still list it with lspci

Daniel T Chen (crimsun) wrote :

(Please reopen if reproducible.)

Changed in pulseaudio (Ubuntu):
status: Incomplete → Invalid
Nick (nick222-yandex) wrote :

Ubuntu 10.04 64-bit
VT1708 suddenly dissappearing from audiodevice list - System - Parametres - Sound (Russian locale and I don`t know - how it is name in English) - and any sound off - Pulse or OSS or Alsa - any sound system.

Nick (nick222-yandex) wrote :

Motherboard Asus P5VDC-X

Harald (hdmuell) wrote :

Since I de- and reinstalled alsa und pulseaudio my system is much more stable. I usually have sound.
But when I try to use Skype, the VT1708 Sound card disappears or stops working. (ASRock motherboard 775Dual-VSTA see above) As it is in my case related with Skype I wouldn't reopen this bug.

@Nick could you use the command apport-bug in terminal to send your data. Maybe Daniel T Chen gets the data he needs from your report.

@Daniel, I have not tried the drivers from ppa:ubuntu-audio-dev yet. Do you think I should? What should I install?

Harald, please describe precisely what happens when you attempt to play
audio through your onboard HDA card. Does the pulse daemon die? If so, does
adding the following line to /etc/modprobe.d/alsa-base.conf (and rebooting)
resolve the symptom?

options snd-hda-intel position_fix=1

On May 30, 2010 4:20 PM, "Harald" <email address hidden> wrote:

Since I de- and reinstalled alsa und pulseaudio my system is much more
stable. I usually have sound.
But when I try to use Skype, the VT1708 Sound card disappears or stops
working. (ASRock motherboard 775Dual-VSTA see above) As it is in my case
related with Skype I wouldn't reopen this bug.

@Nick could you use the command apport-bug in terminal to send your
data. Maybe Daniel T Chen gets the data he needs from your report.

@Daniel, I have not tried the drivers from ppa:ubuntu-audio-dev yet. Do
you think I should? What should I install?

--
Pulseaudio is not running VT1708
https://bugs.launchpad.net/bugs/580749
You received this bug n...
Status in “pulseaudio” package in Ubuntu: Invalid

Bug description:
Binary package hint: pulseaudio

In my system are 3 Audio interfaces VIA: VT1708, ...

Harald (hdmuell) wrote :

Daniel,

options snd-hda-intel position_fix=1 seems to work for me. (I did the same as I did before adding this option and the sound did not stop)

The Skype test call works now. Sound from the VT1708 is for the microphone a bad quality, but with the web-cam it works.

Before I restarted I tried to reproduce the problem.

Therefore I did the following:
using the VT1708 (web-cam was not connected, so VT1708 works for
playback and microphone)
start totem with a .flac file and let it play the music (sound is OK)
Then start Skype and do a test call (sound starts)
after a few seconds (today 7) the sound gets bad and stops for both
applications.
Totem has the following error message: pa_stream_writable_size() failed:
Connection terminated
Skype seems to hang
Sometimes the VT1708 disappears from the sound preferences application
(not today)
If only Skype is running, I don't get an error message

here is a part of my running processes:
13478 ? 00:00:23 totem
13501 ? 00:00:00 skype_webcam
13502 ? 00:00:03 skype
13631 ? 00:00:00 pulseaudio

As pulse-audio restarted (process number higher than the one from Skype)
I tried to click the error message away in totem and to continue playing
the music. It worked.

Thank you

Harald

On 30/05/10 22:26, Daniel T Chen wrote:
> Harald, please describe precisely what happens when you attempt to play
> audio through your onboard HDA card. Does the pulse daemon die? If so, does
> adding the following line to /etc/modprobe.d/alsa-base.conf (and rebooting)
> resolve the symptom?
>
> options snd-hda-intel position_fix=1
>
> On May 30, 2010 4:20 PM, "Harald"<email address hidden> wrote:
>
> Since I de- and reinstalled alsa und pulseaudio my system is much more
> stable. I usually have sound.
> But when I try to use Skype, the VT1708 Sound card disappears or stops
> working. (ASRock motherboard 775Dual-VSTA see above) As it is in my case
> related with Skype I wouldn't reopen this bug.
>
> @Nick could you use the command apport-bug in terminal to send your
> data. Maybe Daniel T Chen gets the data he needs from your report.
>
> @Daniel, I have not tried the drivers from ppa:ubuntu-audio-dev yet. Do
> you think I should? What should I install?
>
>
>

Daniel T Chen (crimsun) wrote :

Patch submitted to stable@ and upstream

affects: pulseaudio (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
assignee: nobody → Daniel T Chen (crimsun)
importance: Undecided → Low
status: Invalid → In Progress
Daniel T Chen (crimsun) on 2010-05-31
Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
madbiologist (me-again) wrote :

The abovementioned patch has been included upstream in kernel 2.6.35-rc2. From the changelog:

commit b90c076424da8166797bdc34187660fd0124f530
Author: Daniel T Chen
Date: Sun May 30 19:31:41 2010 -0400

    ALSA: hda: Use LPIB for another mainboard

    BugLink: https://launchpad.net/bugs/580749

    Symptom: on the original reporter's VIA VT1708-based board, the
    PulseAudio daemon dies shortly after the user attempts to play an audio
    file.

    Test case: boot from Ubuntu 10.04 LTS live cd; attempt to play an audio
    file.

    Resolution: add SSID for the original reporter's hardware to the
    position_fix quirk table, explicitly specifying the LPIB method.

    Reported-and-Tested-By: Harald
    Cc: <email address hidden>
    Signed-off-by: Daniel T Chen
    Signed-off-by: Takashi Iwai

madbiologist (me-again) wrote :

The abovementioned patch is now upstream in kernel 2.6.32.16.

Steve Conklin (sconklin) wrote :

SRU Justification

Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from Linus' tree or in a minimally backported form of that patch.

The 2.6.32.21 upstream stable patch set is now available and contains fixes for this problem. It should be included in the Ubuntu kernel as well.

Related commits in the Lucid repo are:

bf16d2a ALSA: hda: Use LPIB for another mainboard

Changed in alsa-driver (Ubuntu):
milestone: none → lucid-updates
Steve Conklin (sconklin) on 2010-08-31
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Low
assignee: nobody → Steve Conklin (sconklin)
milestone: none → lucid-updates
status: New → Fix Committed
Changed in alsa-driver (Ubuntu Lucid):
milestone: none → lucid-updates

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Stefan Bader (smb) wrote :

Can anybody affected by the bug please give feedback whether the current proposed kernel does resolve the issue? Thanks.

Harald (hdmuell) wrote :

Hi Stefan,

I enabled lucid proposed, but I could not find an alsa related package. Maybe the Kernel info below can help you to find out if the module is already installed.
Linux hh-2core 2.6.32-25-generic #43-Ubuntu SMP Wed Sep 1 09:46:39 UTC 2010 i686 GNU/Linux

After removing "options snd-hda-intel position_fix=1" (see mail on 2010-05-30) I had the same problem again. So if the patch is already installed, it did not fix the problem.

If the patch was not installed with kernel 2.6.32.25 then please tell me which package I should install.

Thank you for your help

Stefan Bader (smb) wrote :

...hm cross-posting via email may or may not work. Manually adding and hoping LP does not think otherwise later...

This is updating a set of bugs, so things said may or may not be exactly matching the bug report itself.

There is a set of bug reports which, reading feedback from reporters, do not seem to be fixed by the patches which were thought to fix them. All of these patches are part of some upstream stable release, so if a real fix is found, it
should be submitted there as well.
Quickly reading over the reports they all seem to be positional quirk fixes in ALSA. In one of the reports David had a quick look and had the suspicion that the code path of activating the fix may not be hit at all.
So while not fixing the bug all patches are not causing things to regress. Due to automatic processes, these bugs will get changed by a bot to fixed when the proposed kernel moves to updates and the bugs need to be re-opened then.

David, Daniel, maybe you can have a look at the test feedback and find out why the quirks have no effect?

Thanks,
Stefan

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/465942
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/587546
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/580749
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/551949
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/583983

tags: added: verification-failed
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (43.7 KiB)

This bug was fixed in the package linux - 2.6.32-25.44

---------------
linux (2.6.32-25.44) lucid-proposed; urgency=low

  [ Brad Figg ]

  * SAUCE: (no-up) Modularize vesafb -- fix initialization
    - LP: #611471

  [ Stefan Bader ]

  * Revert "SAUCE: sync before umount to reduce time taken by ext4 umount"
    - LP: #543617, #585092

  [ Steve Conklin ]

  * Revert "SAUCE: tulip: Let dmfe handle davicom on non-sparc"
    - LP: #607824

  [ Tim Gardner ]

  * [Config] Added ums-cypress to udeb
    - LP: #576066

  [ Upstream Kernel Changes ]

  * Revert "PCI quirk: Disable MSI on VIA K8T890 systems"
    - LP: #607824
  * Revert "PCI quirks: disable msi on AMD rs4xx internal gfx bridges"
    - LP: #607824
  * Revert "(pre-stable) Input: psmouse - reset all types of mice before
    reconnecting"
    - LP: #607824
  * Revert "jbd: jbd-debug and jbd2-debug should be writable"
    - LP: #607824
  * Revert "ext4: Make fsync sync new parent directories in no-journal
    mode"
    - LP: #615548
  * Revert "ext4: Fix compat EXT4_IOC_ADD_GROUP"
    - LP: #615548
  * Revert "ext4: Conditionally define compat ioctl numbers"
    - LP: #615548
  * Revert "ext4: restart ext4_ext_remove_space() after transaction
    restart"
    - LP: #615548
  * Revert "ext4: Clear the EXT4_EOFBLOCKS_FL flag only when warranted"
    - LP: #615548
  * Revert "ext4: Avoid crashing on NULL ptr dereference on a filesystem
    error"
    - LP: #615548
  * Revert "ext4: Use bitops to read/modify i_flags in struct
    ext4_inode_info"
    - LP: #615548
  * Revert "ext4: Show journal_checksum option"
    - LP: #615548
  * Revert "ext4: check for a good block group before loading buddy pages"
    - LP: #615548
  * Revert "ext4: Prevent creation of files larger than RLIMIT_FSIZE using
    fallocate"
    - LP: #615548
  * Revert "ext4: Remove extraneous newlines in ext4_msg() calls"
    - LP: #615548
  * Revert "ext4: init statistics after journal recovery"
    - LP: #615548
  * Revert "ext4: clean up inode bitmaps manipulation in ext4_free_inode"
    - LP: #615548
  * Revert "ext4: Do not zero out uninitialized extents beyond i_size"
    - LP: #615548
  * Revert "ext4: don't scan/accumulate more pages than mballoc will
    allocate"
    - LP: #615548
  * Revert "ext4: stop issuing discards if not supported by device"
    - LP: #615548
  * Revert "ext4: check s_log_groups_per_flex in online resize code"
    - LP: #615548
  * Revert "ext4: fix quota accounting in case of fallocate"
    - LP: #615548
  * Revert "ext4: allow defrag (EXT4_IOC_MOVE_EXT) in 32bit compat mode"
    - LP: #615548
  * Revert "ext4: rename ext4_mb_release_desc() to ext4_mb_unload_buddy()"
    - LP: #615548
  * Revert "ext4: Remove unnecessary call to ext4_get_group_desc() in
    mballoc"
    - LP: #615548
  * Revert "ext4: fix memory leaks in error path handling of
    ext4_ext_zeroout()"
    - LP: #615548
  * Revert "ext4: check missed return value in ext4_sync_file()"
    - LP: #615548
  * Revert "ext4: Issue the discard operation *before* releasing the blocks
    to be reused"
    - LP: #615548
  * Revert "ext4: Fix buffer head leaks after calls to
    ext4_get_inode_loc()"
    - LP: #615548
  * Revert "ex...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2010-09-27
Changed in linux (Ubuntu Lucid):
status: Fix Released → Triaged
Martin Pitt (pitti) wrote :

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Maverick):
status: New → Fix Committed
Steve Conklin (sconklin) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by Thursday, November 11, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Steve Conklin (sconklin) wrote :

Due to national holidays, the deadline for verification of fixes for the -proposed kernel has been extended thru Monday, November 15th.

If verification that this bug is fixed by the -proposed kernel has not occurred by that date, the change will be reverted and this bug will be set to incomplete.

If you have tested the kernel in -proposed and found that it fixes the bug on the original hardware, please change the bug tag "verification-needed" to "verification-done".

The new stable kernel release process under which these actions are being taken is still being refined, and is documented here:

https://wiki.ubuntu.com/Kernel/StableReleaseCadence

Discussions about the new process tend to take place in #ubuntu-kernel on IRC, so please contribute to the discussion there if you would like.

Thank you!

Steve Conklin (sconklin) wrote :

Verification that this bug is fixed has not been completed by the deadline for the current stable kernel release cycle.
The change will be reverted and this bug is being set to incomplete.

In order to have this fix considered for reapplication to the kernel, please follow the process documented here:

https://wiki.ubuntu.com/Kernel/StableReleaseCadence

Discussions about the new process tend to take place in #ubuntu-kernel on IRC, so please contribute to the discussion there if you would like.

Thank you!

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Incomplete
tags: added: stable-reverted-lucid
Steve Conklin (sconklin) wrote :

There has been some confusion regarding this bug, with verification and a probable regression on some platforms. The bug was originally marked as verification-failed after it was released for lucid, and should have been reverted based upon that. Subsequently, there were calls for testing again, and verification was marked as done for lucid. It's probable that this fix applies to one platform but causes regression on another.

As for Maverick, the fix was never released, but was in the latest -proposed kernel. The bug has never received verification for Maverick.

At this point, the safest thing to do is to revert the change and remove it from Lucid and Maverick. We will re-examine the fix and make sure that adequate testing is able to be performed next time, or see whether a different fix is appropriate.

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Incomplete
tags: added: stable-reverted-maverick
Brad Figg (brad-figg) wrote :

The change has been reverted from the Maverick kernel for the same reasons given in #25 above.

Brad Figg (brad-figg) on 2010-11-16
tags: removed: verification-needed
Andy Whitcroft (apw) on 2011-02-10
Changed in linux (Ubuntu):
status: Invalid → Fix Released
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Lucid):
status: Incomplete → Triaged
Changed in linux (Ubuntu Maverick):
status: Incomplete → Triaged
Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Maverick):
status: Triaged → Invalid
no longer affects: alsa-driver (Ubuntu Lucid)
no longer affects: alsa-driver (Ubuntu Maverick)
no longer affects: linux (Ubuntu Lucid)
no longer affects: linux (Ubuntu Maverick)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers